+++
date = "2017-03-20T19:35:35+11:00"
title = "Dgraph Documentation"
+++

**Welcome to the official Dgraph documentation.**

Dgraph is an open source, scalable, distributed, highly available and fast graph database, designed from ground up to be run in production.

## Using Dgraph

<section class="toc">
  <div class="container">
    <div class="row row-no-padding">

      <div class="col-12 col-sm-6">
        <div class="section-item">
          <div class="section-name">
            <a href="https://tour.dgraph.io" target="_blank">
              Tour of Dgraph
            </a>
          </div>
          <p class="section-desc">
            Take an interactive tour of Dgraph to learn the concepts.
          </p>
        </div>
      </div>

      <div class="col-12 col-sm-6">
        <div class="section-item">
          <div class="section-name">
            <a href="{{< relref "get-started/index.md">}}">
              Get Started
            </a>
          </div>
          <p class="section-desc">
            Install Dgraph and run a query in 7 minutes.
          </p>
        </div>
      </div>

      <div class="col-12 col-sm-6">
        <div class="section-item">
          <div class="section-name">
            <a href="{{< relref "query-language/index.md">}}">
              Query Language
            </a>
          </div>
          <p class="section-desc">
            A reference guide for Dgraph query language
          </p>
        </div>
      </div>

      <div class="col-12 col-sm-6">
        <div class="section-item">
          <div class="section-name">
            <a href="{{< relref "tips/index.md">}}">
              GraphQL+- Tips and Tricks
            </a>
          </div>
          <p class="section-desc">
            A list of commonly used GraphQL+- query snippets
          </p>
        </div>
      </div>

      <div class="col-12 col-sm-6">
        <div class="section-item">
          <div class="section-name">
            <a href="{{< relref "clients/index.md">}}">
              Clients
            </a>
          </div>
          <p class="section-desc">
            Dgraph clients in various programming languages
          </p>
        </div>
      </div>

      <div class="col-12 col-sm-6">
        <div class="section-item">
          <div class="section-name">
            <a href="/deploy">
              Deploy
            </a>
          </div>
          <p class="section-desc">
            Running Dgraph cluster in production
          </p>
        </div>
      </div>

      <div class="col-12 col-sm-6">
        <div class="section-item">
          <div class="section-name">
            <a href="/faq">
              FAQ
            </a>
          </div>
          <p class="section-desc">
            Frequently asked questions
          </p>
        </div>
      </div>

    </div>
  </div>
</section>

## Contribute
<section class="toc">
  <div class="container">
    <div class="row row-no-padding">
      <div class="col-12 col-sm-6">
        <div class="section-item">
          <div class="section-name">
            <a href="https://github.com/dgraph-io/dgraph/blob/master/CONTRIBUTING.md">
              Contribute to Dgraph
            </a>
          </div>
          <p class="section-desc">
            Get started with contributing fixes and enhancements to Dgraph and related software.
          </p>
        </div>
      </div>
      </div>
  </div>
</section>

## Our Community

**Dgraph is made better everyday by the growing community and the contributors all over the world.**

<section class="toc">
  <div class="container">
    <div class="row row-no-padding">
      <div class="col-12 col-sm-6">
        <div class="section-item">
          <div class="section-name">
            <a href="https://slack.dgraph.io">
              Slack
            </a>
          </div>
          <p class="section-desc">
            Chat instantly to the Dgraph community and engineers.
          </p>
        </div>
      </div>
      <div class="col-12 col-sm-6">
        <div class="section-item">
          <div class="section-name">
            <a href="https://discuss.dgraph.io">
              Forum
            </a>
          </div>
          <p class="section-desc">
            Discuss Dgraph on the official forum.
          </p>
        </div>
      </div>
    </div>
  </div>
</section>


## Demo

<section class="toc">
  <div class="container">
    <div class="row row-no-padding">
      <div class="col-12 col-sm-6">
        <div class="section-item">
          <div class="section-name">
            <a href="https://play.dgraph.io">
              Dgraph Playground
            </a>
          </div>
          <p class="section-desc">
            Play with Freebase movie dataset with 21 million edges
          </p>
        </div>
      </div>
    </div>
  </div>
</section>
